package hr.fer.zemris.pso;

/**
 * Čestica algoritma PSO.
 * 
 * @author marcupic
 */
public class Particle {
	
	// Najbolje rješenje
	double[] bestVars;
	// Dobrota najboljeg rješenja
	double bestValue;
	// Prethodno rješenje
	double[] oldVars;
	// Trenutno rješenje
	double[] vars;
	// Vektor brzine
	double[] velocity;
	// Vrijednost funkcije u trenutnom rješenju
	double value;
	
	/**
	 * Konstruktor čestice. Prima broj dimenzija.
	 * 
	 * @param dimensions broj dimenzija prostora
	 */
	public Particle(int dimensions) {
		vars = new double[dimensions];
		oldVars = new double[dimensions];
		velocity = new double[dimensions];
		bestVars = new double[dimensions];
	}
}
